diff --git a/src/backend/optimizer/path/allpaths.c b/src/backend/optimizer/path/allpaths.c
index a1e1a87..bf959ab 100644
--- a/src/backend/optimizer/path/allpaths.c
+++ b/src/backend/optimizer/path/allpaths.c
@@ -834,11 +834,12 @@ set_foreign_pathlist(PlannerInfo *root, RelOptInfo *rel, RangeTblEntry *rte)
  *	  Set size estimates for an "append relation"
  *
  * The passed-in rel and RTE represent the entire append relation.  The
- * relation's contents are computed by appending together the output of
- * the individual member relations.  Note that in the inheritance case,
- * the first member relation is actually the same table as is mentioned in
- * the parent RTE ... but it has a different RTE and RelOptInfo.  This is
- * a good thing because their outputs are not the same size.
+ * relation's contents are computed by appending together the output of the
+ * individual member relations.  Note that in the inheritance case, except for
+ * that representing a partitioned table, the first member relation is actually
+ * the same table as is mentioned in the parent RTE ... but it has a different
+ * RTE and RelOptInfo.  This is a good thing because their outputs are not the
+ * same size.
  */
 static void
 set_append_rel_size(PlannerInfo *root, RelOptInfo *rel,
